Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 99233

Summary: Migrate templates to FreeMarker
Product: javaee Reporter: Jan Pokorsky <jpokorsky>
Component: CodeAssignee: Radko Najman <rnajman>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: pjiricka
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: plan60 nbide
Issue Type: DEFECT Exception Report:
Bug Depends on: 95399    
Bug Blocks: 89772, 105744    

Description Jan Pokorsky 2007-03-28 12:40:55 UTC
Migrate your templates to scripting support and supply project.license attribute
in your project lookup. See
http://www.netbeans.org/download/dev/javadoc/org-openide-loaders/apichanges.html#scripting
and issue #95399 for more details.
Comment 1 Petr Jiricka 2007-05-30 17:40:56 UTC
Assigning to Radko since he will work on this for web templates.
Comment 2 Radko Najman 2007-06-13 17:46:02 UTC
TemplateAttriburesProvider was implemented in ejbjar project.

ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/* have to be updated to support project.license attribute

Checking in ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/EjbJarTemplateAttributesProvider.java;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/EjbJarTemplateAttributesProvider.java,v  <-- 
EjbJarTemplateAttributesProvider.java
initial revision: 1.1
done
Checking in ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/EjbJarProject.java;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/EjbJarProject.java,v  <--  EjbJarProject.java
new revision: 1.75; previous revision: 1.74
done
IDE: [6/13/07 6:41 PM] Diffing Files finished
Checking in ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/CachingServiceLocator.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/CachingServiceLocator.template,v  <-- 
CachingServiceLocator.template
new revision: 1.3; previous revision: 1.2
done
Checking in ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/layer.xml;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/layer.xml,v  <--  layer.xml
new revision: 1.17; previous revision: 1.16
done
Checking in ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/ServiceLocator.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/ServiceLocator.template,v  <--  ServiceLocator.template
new revision: 1.3; previous revision: 1.2
done
Comment 3 Radko Najman 2007-06-18 16:04:40 UTC
Fixed ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/*

Checking in templates/EJB21BmpLocal.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21BmpLocal.template,v  <-- 
EJB21BmpLocal.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21CmpEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpEjbClass.template,v  <-- 
EJB21CmpEjbClass.template
new revision: 1.5; previous revision: 1.4
done
Checking in templates/EJB21SessionLocalHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21SessionLocalHome.template,v  <-- 
EJB21SessionLocalHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB21BmpRemote.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21BmpRemote.template,v  <-- 
EJB21BmpRemote.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21SessionLocal.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21SessionLocal.template,v  <-- 
EJB21SessionLocal.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21BmpLocalHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21BmpLocalHome.template,v  <-- 
EJB21BmpLocalHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB21CmpLocal.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpLocal.template,v  <-- 
EJB21CmpLocal.template
new revision: 1.5; previous revision: 1.4
done
Checking in templates/EJB30SessionRemote.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30SessionRemote.template,v  <-- 
EJB30SessionRemote.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21CmpPrimaryKey.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpPrimaryKey.template,v  <-- 
EJB21CmpPrimaryKey.template
new revision: 1.2; previous revision: 1.1
done
Checking in templates/EJB21BmpRemoteHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21BmpRemoteHome.template,v  <-- 
EJB21BmpRemoteHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB30StatelessEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30StatelessEjbClass.template,v  <-- 
EJB30StatelessEjbClass.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB30MessageDrivenTopicEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30MessageDrivenTopicEjbClass.template,v 
<--  EJB30MessageDrivenTopicEjbClass.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21SessionEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21SessionEjbClass.template,v  <-- 
EJB21SessionEjbClass.template
new revision: 1.5; previous revision: 1.4
done
Checking in templates/EJB30MessageDrivenQueueEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30MessageDrivenQueueEjbClass.template,v 
<--  EJB30MessageDrivenQueueEjbClass.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB30StatefulEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30StatefulEjbClass.template,v  <-- 
EJB30StatefulEjbClass.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21BmpEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21BmpEjbClass.template,v  <-- 
EJB21BmpEjbClass.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB21SessionRemote.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21SessionRemote.template,v  <-- 
EJB21SessionRemote.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21CmpLocalHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpLocalHome.template,v  <-- 
EJB21CmpLocalHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB21CmpRemote.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpRemote.template,v  <-- 
EJB21CmpRemote.template
new revision: 1.5; previous revision: 1.4
done
Checking in templates/EJB21MessageDrivenEjbClass.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21MessageDrivenEjbClass.template,v  <-- 
EJB21MessageDrivenEjbClass.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21CmpRemoteHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21CmpRemoteHome.template,v  <-- 
EJB21CmpRemoteHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in templates/EJB30SessionLocal.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB30SessionLocal.template,v  <-- 
EJB30SessionLocal.template
new revision: 1.3; previous revision: 1.2
done
Checking in templates/EJB21SessionRemoteHome.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/templates/EJB21SessionRemoteHome.template,v  <-- 
EJB21SessionRemoteHome.template
new revision: 1.4; previous revision: 1.3
done
Checking in CachingServiceLocator.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/CachingServiceLocator.template,v  <-- 
CachingServiceLocator.template
new revision: 1.4; previous revision: 1.3
done
Checking in ServiceLocator.template;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/resources/ServiceLocator.template,v  <--  ServiceLocator.template
new revision: 1.4; previous revision: 1.3
done
Comment 4 Radko Najman 2007-06-18 16:24:02 UTC
Fixed.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo